
Katello - Bug #5711

Cannot update content-host by id from CLI

05/14/2014 02:10 AM - dustin tsang

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Unable to update content host by id.

See below.

$ bundle exec hammer content-host update --id 31b99fcc-29e3-4e47-903d-3617b5fe02c1

Could not update content host:

Error: Unrecognised option '--id'

Associated revisions

Revision 6a07b014 - 05/14/2014 11:36 PM - dustin tsang

Fixes #5711 - Doc id in ContentHosts update

Hammer-cli-katello is unable to recognize --id param for in the

subcommand content-host update. Apipie param 'id' is missing for

the update in systems controller.

Revision dec3e4ae - 05/15/2014 12:36 AM - Thomas McKay

Merge pull request #4084 from dustint-rh/add_apipie_id_param_to_content_host_update

Fixes #5711 - Doc id in ContentHosts update

merging for @dustint-rh thanks!

History

#1 - 05/15/2014 12:52 AM - dustin tsang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:6a07b01417854003ffd5d8621fc7b158cab2a88e.

#2 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
